Subject: Re: [bug#78676] Request for merging "ruby-team" branch

From: Nicolas Graves <[email-masked]>
Date: Wed, 18 Jun 2025 16:34:28 +0200

I was surprised for some reason by the number of build failures, I
thought I had made a better job than that.

I submitted a new biiig series in 78826, which is actually quite some
work from the past 2 days.

I'll try and see about the openjdk@11 issue, I hadn't noticed that
locally.

Sorry I still don't have commit rights to push.

Nicolas

On 2025-06-18 12:32, Andreas Enge wrote:

> Hello,
>
> there are already a few build failures:
>    https://qa.guix.gnu.org/branch/ruby-team/package-changes?x86_64-linux-change=broken&x86_64-linux-change=still-failing&x86_64-linux-change=unknown-to-failing&x86_64-linux-change=new-failing
>
> Some ruby issues related to MiniTest vs. Minitest, which look easy to fix.
>
> A problem is the failure of openjdk@11 on x86_64, which will block many
> dependent packages; but I do not see how this is related to ruby, in
> particular since the same package on i686 suddenly compiles.
>
> If you have fixes, you can push them on top of the ruby-team branch.
>
> Thanks,
>
> Andreas
>
>
>
>

-- 
Best regards,
Nicolas Graves